<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.mapper.finance.FinanceAgreementPaymentInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.model.finance.FinanceAgreementPaymentInfo">
        <id column="id" property="id" />
        <result column="agreement_id" property="agreementId" />
        <result column="payment_num" property="paymentNum" />
        <result column="estimate_payment_amount" property="estimatePaymentAmount" />
        <result column="estimate_payment_date" property="estimatePaymentDate" />
        <result column="actual_payment_amount" property="actualPaymentAmount" />
        <result column="actual_payment_date" property="actualPaymentDate" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, agreement_id, payment_num, estimate_payment_amount, estimate_payment_date, actual_payment_amount, actual_payment_date, create_time, update_time
    </sql>

</mapper>
